<div class="modal" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1>{{'equipmentType.addEquipmentType' | message}}</h1>
            </div>
            <div class="modal-body">
                <form id="add-equipment-type-form" ng-submit="vm.save()">
                    <label for="equipmentTypeName">{{'equipmentType.TypeName' | message}}</label>
                    <input id="equipmentTypeName" type="text" ng-model="vm.equipmentType.name"  required />
                    <label for="equipmentTypeCode">{{'equipmentType.typeCode' | message}}</label>
                    <input id="equipmentTypeCode" type="text" ng-model="vm.equipmentType.code"  required />
                    <label for="active">
                        <input id="isColdChain" type="checkbox" ng-model="vm.equipmentType.isColdChain" />
                        {{'equipmentType.isColdChain' | message}}
                    </label>
                    <label for="isBioChemistry">
                        <input id="isBioChemistry" type="checkbox" ng-model="vm.equipmentType.isBioChemistry" />
                        {{'equipmentType.isBioChemistry' | message}}
                    </label>
                    <label for="active">
                        <input id="active" type="checkbox" ng-model="vm.equipmentType.active" />
                        {{'equipmentType.active' | message}}
                    </label>
                </form>
            </div>
            <div class="modal-footer">
                <button id="cancel" ng-click="vm.goToPreviousState()">{{'equipmentType.cancel' | message}}</button>
                <button class="primary" form="add-equipment-type-form">{{'equipmentType.save' | message}}</button>
            </div>
        </div>
    </div>
</div>